
%global meadversion 21.3.2.0_1
%global namedversion 21.3.2.0-1-redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 4
%global namedversionrel redhat-00002

# Template marker
%bcond_without mead

# Mandrel is sensitive to internal changes of the JDK so we need to make sure
# Mandrel is compatible with the installed JDK, thus we require a specific
# jdk version to be installed.
%global jdkversion %(rpm -q --qf '%%{VERSION}-%%{RELEASE}' java-17-openjdk || : )
%global jdkepoch %(rpm -q --qf '%%{EPOCH}:' java-17-openjdk || : )
%global jdkdir %{_jvmdir}/java-17-openjdk-%{jdkversion}.%{_arch}

%define maven_version 21.3.2.0-1-redhat-00002

Name:    quarkus-mandrel-java-17-jdk
Summary: Mandrel jars of the JDK 17-based build
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
License: GPLv2 with exceptions
Group:   Development/Java

%if %with mead
Source102: mandrel-packaging-wrapper-linux-amd64-21.3.2.0-1-redhat-00002.jar
Source103: graal-sdk-21.3.2.0-1-redhat-00002-sources.jar
Source104: library-support-21.3.2.0-1-redhat-00002.jar
Source105: svm-agent-21.3.2.0-1-redhat-00002.jar
Source106: svm-21.3.2.0-1-redhat-00002-sources.jar
Source107: svm-driver-21.3.2.0-1-redhat-00002.pom
Source108: compiler-21.3.2.0-1-redhat-00002.pom
Source109: mandrel-packaging-wrapper-linux-amd64-21.3.2.0-1-redhat-00002.pom
Source110: truffle-api-21.3.2.0-1-redhat-00002.jar
Source111: objectfile-21.3.2.0-1-redhat-00002.jar
Source112: svm-agent-21.3.2.0-1-redhat-00002.pom
Source113: svm-diagnostics-agent-21.3.2.0-1-redhat-00002.pom
Source114: jvmti-agent-base-21.3.2.0-1-redhat-00002.pom
Source115: compiler-21.3.2.0-1-redhat-00002.jar
Source116: svm-21.3.2.0-1-redhat-00002.jar
Source117: svm-diagnostics-agent-21.3.2.0-1-redhat-00002.jar
Source118: truffle-api-21.3.2.0-1-redhat-00002.pom
Source119: pointsto-21.3.2.0-1-redhat-00002.pom
Source120: compiler-21.3.2.0-1-redhat-00002-sources.jar
Source121: svm-configure-21.3.2.0-1-redhat-00002-sources.jar
Source122: jvmti-agent-base-21.3.2.0-1-redhat-00002-sources.jar
Source123: objectfile-21.3.2.0-1-redhat-00002-sources.jar
Source124: svm-driver-21.3.2.0-1-redhat-00002.jar
Source125: svm-configure-21.3.2.0-1-redhat-00002.jar
Source126: jvmti-agent-base-21.3.2.0-1-redhat-00002.jar
Source127: pointsto-21.3.2.0-1-redhat-00002.jar
Source128: svm-driver-21.3.2.0-1-redhat-00002-sources.jar
Source129: objectfile-21.3.2.0-1-redhat-00002.pom
Source130: truffle-api-21.3.2.0-1-redhat-00002-sources.jar
Source131: svm-configure-21.3.2.0-1-redhat-00002.pom
Source132: svm-21.3.2.0-1-redhat-00002.pom
Source133: svm-agent-21.3.2.0-1-redhat-00002-sources.jar
Source134: graal-sdk-21.3.2.0-1-redhat-00002.jar
Source135: pointsto-21.3.2.0-1-redhat-00002-sources.jar
Source136: library-support-21.3.2.0-1-redhat-00002-sources.jar
Source137: graal-sdk-21.3.2.0-1-redhat-00002.pom
Source138: library-support-21.3.2.0-1-redhat-00002.pom
Source139: svm-diagnostics-agent-21.3.2.0-1-redhat-00002-sources.jar
%endif

URL:     https://github.com/graalvm/mandrel

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: javapackages-filesystem
BuildRequires: java-17-openjdk-devel

%description
%{summary}.

%package binding
Summary: Mandrel jars (JDK 17) for the portable build
Requires: java-17-openjdk-devel = %{jdkepoch}%{jdkversion}
Requires: %{name} = %{version}

%description binding
%{summary}.

%prep
if [ -z "%jdkversion" ]
then
    echo "rpm failed to obtain java-17-openjdk version, check BuildRequires"
    exit 11
fi

%build

%install
cd %{_sourcedir}
# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}

for jar in *-%{namedversion}*.jar; do %{__cp} -p ${jar} %{buildroot}%{_javadir}/%{name}/${jar/-%{namedversion}/}; done

# add symlinks in openjdk
%{__mkdir_p} %{buildroot}%{jdkdir}/lib/svm
%{__ln_s} %{_javadir}/%{name}/library-support.jar %{buildroot}%{jdkdir}/lib/svm/
%{__ln_s} %{_javadir}/%{name}/library-support-sources.jar %{buildroot}%{_javadir}/%{name}/library-support.src.zip
%{__ln_s} %{_javadir}/%{name}/library-support.src.zip %{buildroot}%{jdkdir}/lib/svm/

%{__mkdir_p} %{buildroot}%{jdkdir}/lib/svm/builder
%{__ln_s} %{_javadir}/%{name}/svm.jar %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/svm-sources.jar %{buildroot}%{_javadir}/%{name}/svm.src.zip
%{__ln_s} %{_javadir}/%{name}/svm.src.zip %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/pointsto.jar %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/pointsto-sources.jar %{buildroot}%{_javadir}/%{name}/pointsto.src.zip
%{__ln_s} %{_javadir}/%{name}/pointsto.src.zip %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/objectfile.jar %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/objectfile-sources.jar %{buildroot}%{_javadir}/%{name}/objectfile.src.zip
%{__ln_s} %{_javadir}/%{name}/objectfile.src.zip %{buildroot}%{jdkdir}/lib/svm/builder/

%{__mkdir_p} %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-driver.jar %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-driver-sources.jar %{buildroot}%{_javadir}/%{name}/svm-driver.src.zip
%{__ln_s} %{_javadir}/%{name}/svm-driver.src.zip %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/jvmti-agent-base.jar %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/jvmti-agent-base-sources.jar %{buildroot}%{_javadir}/%{name}/jvmti-agent-base.src.zip
%{__ln_s} %{_javadir}/%{name}/jvmti-agent-base.src.zip %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-agent.jar %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-agent-sources.jar %{buildroot}%{_javadir}/%{name}/svm-agent.src.zip
%{__ln_s} %{_javadir}/%{name}/svm-agent.src.zip %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-diagnostics-agent.jar %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-diagnostics-agent-sources.jar %{buildroot}%{_javadir}/%{name}/svm-diagnostics-agent.src.zip
%{__ln_s} %{_javadir}/%{name}/svm-diagnostics-agent.src.zip %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-configure.jar %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-configure-sources.jar %{buildroot}%{_javadir}/%{name}/svm-configure.src.zip
%{__ln_s} %{_javadir}/%{name}/svm-configure.src.zip %{buildroot}%{jdkdir}/lib/graalvm

%{__mkdir_p} %{buildroot}%{jdkdir}/lib/jvmci
%{__ln_s} %{_javadir}/%{name}/graal-sdk.jar %{buildroot}%{jdkdir}/lib/jvmci
%{__ln_s} %{_javadir}/%{name}/graal-sdk-sources.jar %{buildroot}%{_javadir}/%{name}/graal-sdk.src.zip
%{__ln_s} %{_javadir}/%{name}/graal-sdk.src.zip %{buildroot}%{jdkdir}/lib/jvmci
%{__ln_s} %{_javadir}/%{name}/compiler.jar %{buildroot}%{jdkdir}/lib/jvmci/graal.jar
%{__ln_s} %{_javadir}/%{name}/compiler-sources.jar %{buildroot}%{_javadir}/%{name}/graal.src.zip
%{__ln_s} %{_javadir}/%{name}/graal.src.zip %{buildroot}%{jdkdir}/lib/jvmci/

%{__mkdir_p} %{buildroot}%{jdkdir}/lib/truffle
%{__ln_s} %{_javadir}/%{name}/truffle-api.jar %{buildroot}%{jdkdir}/lib/truffle
%{__ln_s} %{_javadir}/%{name}/truffle-api-sources.jar %{buildroot}%{_javadir}/%{name}/truffle-api.src.zip
%{__ln_s} %{_javadir}/%{name}/truffle-api.src.zip %{buildroot}%{jdkdir}/lib/truffle

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/svm.jar
%{_javadir}/%{name}/svm-sources.jar
%{_javadir}/%{name}/svm.src.zip
%{_javadir}/%{name}/pointsto.jar
%{_javadir}/%{name}/pointsto-sources.jar
%{_javadir}/%{name}/pointsto.src.zip
%{_javadir}/%{name}/objectfile.jar
%{_javadir}/%{name}/objectfile-sources.jar
%{_javadir}/%{name}/objectfile.src.zip
%{_javadir}/%{name}/svm-driver.jar
%{_javadir}/%{name}/svm-driver-sources.jar
%{_javadir}/%{name}/svm-driver.src.zip
%{_javadir}/%{name}/graal-sdk.jar
%{_javadir}/%{name}/graal-sdk-sources.jar
%{_javadir}/%{name}/graal-sdk.src.zip
%{_javadir}/%{name}/compiler.jar
%{_javadir}/%{name}/compiler-sources.jar
%{_javadir}/%{name}/graal.src.zip
%{_javadir}/%{name}/truffle-api.jar
%{_javadir}/%{name}/truffle-api-sources.jar
%{_javadir}/%{name}/truffle-api.src.zip
%{_javadir}/%{name}/library-support.jar
%{_javadir}/%{name}/library-support-sources.jar
%{_javadir}/%{name}/library-support.src.zip
%{_javadir}/%{name}/jvmti-agent-base.jar
%{_javadir}/%{name}/jvmti-agent-base-sources.jar
%{_javadir}/%{name}/jvmti-agent-base.src.zip
%{_javadir}/%{name}/svm-agent.jar
%{_javadir}/%{name}/svm-agent-sources.jar
%{_javadir}/%{name}/svm-agent.src.zip
%{_javadir}/%{name}/svm-diagnostics-agent.jar
%{_javadir}/%{name}/svm-diagnostics-agent-sources.jar
%{_javadir}/%{name}/svm-diagnostics-agent.src.zip
%{_javadir}/%{name}/svm-configure.jar
%{_javadir}/%{name}/svm-configure-sources.jar
%{_javadir}/%{name}/svm-configure.src.zip
%{_javadir}/%{name}/mandrel-packaging-wrapper-linux-amd64.jar

%{jdkdir}/lib/svm/builder/svm.jar
%{jdkdir}/lib/svm/builder/svm.src.zip
%{jdkdir}/lib/svm/builder/pointsto.jar
%{jdkdir}/lib/svm/builder/pointsto.src.zip
%{jdkdir}/lib/svm/builder/objectfile.jar
%{jdkdir}/lib/svm/builder/objectfile.src.zip
%{jdkdir}/lib/graalvm/svm-driver.jar
%{jdkdir}/lib/graalvm/svm-driver.src.zip
%{jdkdir}/lib/jvmci/graal-sdk.jar
%{jdkdir}/lib/jvmci/graal-sdk.src.zip
%{jdkdir}/lib/jvmci/graal.jar
%{jdkdir}/lib/jvmci/graal.src.zip
%{jdkdir}/lib/truffle/truffle-api.jar
%{jdkdir}/lib/truffle/truffle-api.src.zip
%{jdkdir}/lib/svm/library-support.jar
%{jdkdir}/lib/svm/library-support.src.zip
%{jdkdir}/lib/graalvm/jvmti-agent-base.jar
%{jdkdir}/lib/graalvm/jvmti-agent-base.src.zip
%{jdkdir}/lib/graalvm/svm-agent.jar
%{jdkdir}/lib/graalvm/svm-agent.src.zip
%{jdkdir}/lib/graalvm/svm-diagnostics-agent.jar
%{jdkdir}/lib/graalvm/svm-diagnostics-agent.src.zip
%{jdkdir}/lib/graalvm/svm-configure.jar
%{jdkdir}/lib/graalvm/svm-configure.src.zip

%files binding
# No files, just for pulling in the version-specific JDK

%changelog
* Tue Apr 19 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.2.0_1-4.redhat_00002.1
Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Fri Apr 15 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.2.0_1-3.redhat_00002.1
Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Fri Apr 15 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.2.0_1-2.redhat_00002.1
Built by CPaaS

* Thu Apr 14 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.2.0_1-1.redhat_00002.1
Built by CPaaS

* Wed Mar 02 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.1_1-2.redhat_00002.1
Built by CPaaS

* Wed Mar 02 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.1_1-1.redhat_00002.1
Built by CPaaS

* Tue Mar 01 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.0_1-4.redhat_00004.1
Built by CPaaS

* Mon Feb 28 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.0_1-3.redhat_00002.1
Built by CPaaS

* Fri Feb 25 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.0_1-2.redhat_00002.1
Built by CPaaS

* Fri Feb 25 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.0_1-1.redhat_00002.1
Built by CPaaS

* Mon Feb 21 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.0_0-8.redhat_00007.1
Built by CPaaS

* Fri Feb 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.0_0-7.redhat_00007.1
Built by CPaaS

* Fri Feb 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.0_0-6.redhat_00007.1
Built by CPaaS

* Fri Feb 04 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.0_0-5.redhat_00007.1
Built by CPaaS

* Fri Feb 04 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.0_0-4.redhat_00007.1
Built by CPaaS

* Fri Feb 04 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.0_0-3.redhat_00007.1
Built by CPaaS

* Thu Feb 03 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.0_0-2.redhat_00007.1
Built by CPaaS

* Thu Feb 03 2022 cpaas-ops <cpaas-ops@redhat.com> - 21.3.1.0_0-1.redhat_00007.1
Built by CPaaS

* Mon Jan 31 2022 Severin Gehwolf <sgehwolf@redhat.com> - 21.3.1.0
- Initial wrapped RPM package
